Update provider settings
curl --request PATCH \
--url https://api.electronhub.ai/v1/users/settings/routing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"only": [],
"ignore": [
"<provider-id>"
]
}
'import requests
url = "https://api.electronhub.ai/v1/users/settings/routing"
payload = {
"only": [],
"ignore": ["<provider-id>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({only: [], ignore: ['<provider-id>']})
};
fetch('https://api.electronhub.ai/v1/users/settings/routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.electronhub.ai/v1/users/settings/routing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'only' => [
],
'ignore' => [
'<provider-id>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.electronhub.ai/v1/users/settings/routing"
payload := strings.NewReader("{\n \"only\": [],\n \"ignore\": [\n \"<provider-id>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.electronhub.ai/v1/users/settings/routing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"only\": [],\n \"ignore\": [\n \"<provider-id>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.electronhub.ai/v1/users/settings/routing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"only\": [],\n \"ignore\": [\n \"<provider-id>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"routing": {
"only": [],
"ignore": [
"<provider-id>"
]
}
}{
"error": {
"message": "Body must be an object.",
"type": "invalid_request_error",
"param": null,
"code": 400
}
}{
"error": {
"message": "Only master keys can manage Router settings.",
"type": "error",
"param": null,
"code": 403
}
}User
Update Provider Settings
Replace the account-wide provider lists. A request provider.only replaces only; ignore lists are merged.
PATCH
/
users
/
settings
/
routing
Update provider settings
curl --request PATCH \
--url https://api.electronhub.ai/v1/users/settings/routing \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"only": [],
"ignore": [
"<provider-id>"
]
}
'import requests
url = "https://api.electronhub.ai/v1/users/settings/routing"
payload = {
"only": [],
"ignore": ["<provider-id>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({only: [], ignore: ['<provider-id>']})
};
fetch('https://api.electronhub.ai/v1/users/settings/routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.electronhub.ai/v1/users/settings/routing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'only' => [
],
'ignore' => [
'<provider-id>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.electronhub.ai/v1/users/settings/routing"
payload := strings.NewReader("{\n \"only\": [],\n \"ignore\": [\n \"<provider-id>\"\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.electronhub.ai/v1/users/settings/routing")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"only\": [],\n \"ignore\": [\n \"<provider-id>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.electronhub.ai/v1/users/settings/routing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"only\": [],\n \"ignore\": [\n \"<provider-id>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"routing": {
"only": [],
"ignore": [
"<provider-id>"
]
}
}{
"error": {
"message": "Body must be an object.",
"type": "invalid_request_error",
"param": null,
"code": 400
}
}{
"error": {
"message": "Only master keys can manage Router settings.",
"type": "error",
"param": null,
"code": 403
}
}